Package: magics++ / 3.3.1-1

Metadata

Package Version Patches format
magics++ 3.3.1-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
terralib.patch | (download)

src/CMakeLists.txt | 14 0 + 14 - 0 !
1 file changed, 14 deletions(-)

 add debian's libterralib, rather than built-in version
Last-Updated: 2017-12-27
soname version.patch | (download)

src/CMakeLists.txt | 6 6 + 0 - 0 !
1 file changed, 6 insertions(+)

 add versioned soname for debian.
reproducibility.patch | (download)

tools/xml2cc.pl | 7 6 + 1 - 0 !
tools/xml2mv.pl | 7 5 + 2 - 0 !
2 files changed, 11 insertions(+), 3 deletions(-)

 bit-identical reproducibility fixes:
 * Don't put timestamps into header files.
 * Don't include random build path in config file.
 * 2016-01-07: Include LC_ALL=C when sorting
Bugs-Debian: https://bugs.debian.org/792824
Last-Updated: 2016-01-07
pkgconfig fix.patch | (download)

CMakeLists.txt | 7 6 + 1 - 0 !
cmake/ecbuild_pkgconfig.cmake | 3 3 + 0 - 0 !
2 files changed, 9 insertions(+), 1 deletion(-)

 need args for ecbuild_pkgconfig() to work
Last-Updated: 2016-01-09
cmake config.patch | (download)

cmake/project-config.cmake.in | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 ensure /usr/include/magics on include path in metview
Last-Updated: 2016-01-09
rm ksh.patch | (download)

apps/MagMLInterpretor/magjson-script.in | 2 1 + 1 - 0 !
apps/MagMLInterpretor/magml-script.in | 2 1 + 1 - 0 !
apps/metgram/metgram-script.in | 2 1 + 1 - 0 !
3 files changed, 3 insertions(+), 3 deletions(-)

 remove ksh, as unsupported in debian right now
Last-Updated: 2016-11-13
fix warnings.patch | (download)

src/magics_config.h.in | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

---
paths.patch | (download)

apps/metgram/metgram | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use system perl, not path, for safety